Loading...
Searching...
No Matches
Magick::DrawableRotation Class Reference
Inheritance diagram for Magick::DrawableRotation:

## Public Member Functions

| DrawableRotation (double angle_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | angle (double angle_)
double | angle (void) const

## Private Attributes

double | _angle

## Detailed Description

Definition at line 1464 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableRotation()

Magick::DrawableRotation::DrawableRotation | ( | double | angle_ | ) |

inline

Definition at line 1467 of file Drawable.h.

: _angle( angle_ )
{ }

## ~DrawableRotation()

Magick::DrawableRotation::~DrawableRotation | ( | void |  | ) |

Definition at line 1092 of file Drawable.cpp.

{
}

## Member Function Documentation

## angle() [1/2]

void Magick::DrawableRotation::angle | ( | double | angle_ | ) |

inline

Definition at line 1479 of file Drawable.h.

{
_angle = angle_;
}

## angle() [2/2]

double Magick::DrawableRotation::angle | ( | void |  | ) | const

inline

Definition at line 1483 of file Drawable.h.

{
return _angle;
}

## copy()

Magick::DrawableBase * Magick::DrawableRotation::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1100 of file Drawable.cpp.

{
return new DrawableRotation(*this);
}

## operator()()

void Magick::DrawableRotation::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1095 of file Drawable.cpp.

{
DrawRotate( context_, _angle );
}

## Field Documentation

## _angle

double Magick::DrawableRotation::_angle

private

Definition at line 1489 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp